from typing import List
from .base_seeder import BaseSeeder
from .dict_seeder import DictSeeder
from ..database import db


def run_all_seeders():
    """运行所有种子数据初始化"""
    seeders: List[BaseSeeder] = [DictSeeder()]

    with db.session() as session:
        for seeder in seeders:
            try:
                seeder.execute()
                print(
                    f"Seeder {seeder.__class__.__name__} executed successfully"
                )
            except Exception as e:
                print(f"Seeder {seeder.__class__.__name__} failed: {str(e)}")
                raise e
