from sqlalchemy import Column, String, Boolean, Integer, ForeignKey
from sqlalchemy.orm import relationship
from .base_model import BaseModel


class DictDataModel(BaseModel):
    """字典数据模型"""
    dict_type_id = Column(Integer,
                          ForeignKey('dicttypemodel.id'),
                          nullable=False,
                          comment="字典类型ID")
    label = Column(String(50), nullable=False, comment="字典标签")
    value = Column(String(50), nullable=False, comment="字典值")
    sort = Column(Integer, default=0, nullable=False, comment="排序")
    status = Column(Boolean, default=True, nullable=False, comment="状态（启用/禁用）")

    # 与 DictTypeModel 的关系
    dict_type = relationship('DictTypeModel', backref='dict_data')

    def __repr__(self) -> str:
        return f"<DictDataModel(id={self.id}, label='{self.label}')>"
