from ..models.base_model import BaseModel, CreateModel
from ..database import db


class ExamAnalysis(CreateModel):
    __tablename__ = 'exam_analyses'

    id = db.Column(db.Integer, primary_key=True)
    exam_record_id = db.Column(db.Integer,
                               db.ForeignKey('exam_records.id'),
                               nullable=False)
    user_id = db.Column(db.Integer, db.ForeignKey('users.id'), nullable=False)
    analysis_data = db.Column(db.JSON, nullable=False)  # 分析结果数据
    create_time = db.Column(db.DateTime, default=db.func.now())
    update_time = db.Column(db.DateTime, onupdate=db.func.now())

    # 分析类型：weakness/strength/improvement
    analysis_type = db.Column(db.String(20), nullable=False)

    # 关系定义
    exam_record = db.relationship('ExamRecord', foreign_keys=[exam_record_id])
    user = db.relationship('User', foreign_keys=[user_id])

    def __repr__(self):
        return f'<ExamAnalysis {self.id}: Record {self.exam_record_id} - Type {self.analysis_type}>'
