from ..models.base_model import BaseModel, CreateModel
from ..database import db


class ExamScore(CreateModel):
    __tablename__ = 'exam_scores'

    id = db.Column(db.Integer, primary_key=True)
    user_id = db.Column(db.Integer, db.ForeignKey('users.id'), nullable=False)
    exam_record_id = db.Column(db.Integer,
                               db.ForeignKey('exam_records.id'),
                               nullable=False)
    total_score = db.Column(db.Float, nullable=False)
    score_details = db.Column(db.JSON)  # 各题型得分详情
    ranking = db.Column(db.Integer)  # 本次考试的排名
    create_time = db.Column(db.DateTime, default=db.func.now())

    # 关系定义
    user = db.relationship('User', foreign_keys=[user_id])
    exam_record = db.relationship('ExamRecord', foreign_keys=[exam_record_id])

    def __repr__(self):
        return f'<ExamScore {self.id}: User {self.user_id} - Score {self.total_score}>'
