from ..models.base_model import BaseModel
from sqlalchemy import Column, String, Integer
from sqlalchemy.orm import relationship


class Permission(BaseModel):
    """权限模型"""
    __tablename__ = 'permissions'

    id = Column(Integer, primary_key=True, autoincrement=True)
    code = Column(String(50),
                  unique=True,
                  nullable=False,
                  index=True,
                  comment='权限代码')
    name = Column(String(50), nullable=False)
    description = Column(String(255))
    scope = Column(String(50), nullable=False, default='*', comment='权限作用域')

    # 与角色的关联
    roles = relationship('Role',
                         secondary='role_permissions',
                         back_populates='permissions')

    def __repr__(self):
        return f"<Permission(id={self.id}, name={self.name})>"
