from ..models.base_model import BaseModel
from ..database import db


class QuestionAttachment(BaseModel):
    __tablename__ = 'question_attachments'

    id = db.Column(db.Integer, primary_key=True)
    question_id = db.Column(db.Integer,
                            db.ForeignKey('questions.id'),
                            nullable=False)
    file_name = db.Column(db.String(255), nullable=False)
    file_path = db.Column(db.String(255), nullable=False)
    file_type = db.Column(db.String(50), nullable=False)
    file_size = db.Column(db.Integer, nullable=False)
    upload_time = db.Column(db.DateTime, default=db.func.now())

    def __repr__(self):
        return f'<QuestionAttachment {self.id}: {self.file_name}>'
