from ..models.base_model import BaseModel
from ..database import db


class QuestionComment(BaseModel):
    __tablename__ = 'question_comments'

    id = db.Column(db.Integer, primary_key=True)
    question_id = db.Column(db.Integer,
                            db.ForeignKey('questions.id'),
                            nullable=False)
    user_id = db.Column(db.Integer, db.ForeignKey('users.id'), nullable=False)
    content = db.Column(db.Text, nullable=False)
    parent_id = db.Column(db.Integer, db.ForeignKey('question_comments.id'))
    create_time = db.Column(db.DateTime, default=db.func.now())

    # 关系定义
    replies = db.relationship('QuestionComment',
                              backref=db.backref('parent', remote_side=[id]))

    def __repr__(self):
        return f'<QuestionComment {self.id}: {self.content[:50]}...>'
