from ..models.base_model import BaseModel
from ..database import db


class QuestionHistory(BaseModel):
    __tablename__ = 'question_histories'

    id = db.Column(db.Integer, primary_key=True)
    question_id = db.Column(db.Integer,
                            db.ForeignKey('questions.id'),
                            nullable=False)
    user_id = db.Column(db.Integer, db.ForeignKey('users.id'), nullable=False)
    action = db.Column(db.String(50),
                       nullable=False)  # 操作类型：create/update/delete
    content = db.Column(db.Text)  # 变更内容（JSON格式）
    operator_id = db.Column(db.Integer,
                            db.ForeignKey('users.id'),
                            nullable=False)
    operate_time = db.Column(db.DateTime, default=db.func.now())

    def __repr__(self):
        return f'<QuestionHistory {self.id}: {self.action}>'
