from ..models.base_model import BaseModel
from sqlalchemy import Column, Integer, ForeignKey


class RolePermission(BaseModel):
    """角色权限关联模型"""
    __tablename__ = 'role_permissions'

    id = Column(Integer, primary_key=True, autoincrement=True)
    role_id = Column(Integer, ForeignKey('roles.id'), nullable=False)
    permission_id = Column(Integer,
                           ForeignKey('permissions.id'),
                           nullable=False)
    scope = Column(String(50), nullable=False, default='*', comment='权限作用域')

    def __repr__(self):
        return f"<RolePermission(role_id={self.role_id}, permission_id={self.permission_id})>"
