from fastapi import APIRouter
from ..controllers.question_controller import router as question_router
from ..controllers.user_controller import router as user_router
from ..controllers.auth_controller import router as auth_router


def register_routers() -> APIRouter:
    """注册所有路由"""
    router = APIRouter()

    # 注册问题相关路由
    router.include_router(question_router,
                          prefix="/api/v1",
                          tags=["questions"])

    # 注册用户管理路由
    router.include_router(user_router, prefix="/api/v1/users", tags=["users"])

    # 注册认证路由
    router.include_router(auth_router, prefix="/api/v1/auth", tags=["auth"])

    return router
